View Issue Details

IDProjectCategoryView StatusLast Update
0015054LazarusLCLpublic2011-12-01 11:23
ReporterjmgAssigned ToPaul Ishenin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.28.2Product Build 
Target Version1.0.0Fixed in Version0.9.29 (SVN) 
Summary0015054: FormActivate behaviour variers between Delphi, and Lazarus
DescriptionOn Delphi, code in FormActivate is called just once, on FormCreate.

However, on Lazarus, the FormActivate is called whenever the Form gains
scope
- whilst there is some semantic argument for that, there are two problems
a) When the pgm lacks scope, it is still active.
b) It is not what Delphi does

This has probably gone unnoticed, but the code tested has an Audio Chirp in the FormActivate, and that makes this difference very obvious.
TagsNo tags attached.
Fixed in Revision25274
LazTarget1.0
WidgetsetWin32/Win64
Attached Files

Activities

jmg

2009-11-11 09:12

reporter   ~0032050

This can be easily verified in the debugger, with a breakpoint.

Paul Ishenin

2010-05-09 15:28

manager   ~0037394

Please test and close if ok.

Issue History

Date Modified Username Field Change
2009-11-11 09:11 jmg New Issue
2009-11-11 09:11 jmg Widgetset => Win32/Win64
2009-11-11 09:12 jmg Note Added: 0032050
2009-11-18 22:12 Vincent Snijders LazTarget => 1.0
2009-11-18 22:12 Vincent Snijders Status new => acknowledged
2009-11-18 22:12 Vincent Snijders Target Version => 1.0.0
2010-05-09 15:28 Paul Ishenin Fixed in Revision => 25274
2010-05-09 15:28 Paul Ishenin Status acknowledged => resolved
2010-05-09 15:28 Paul Ishenin Fixed in Version => 0.9.29 (SVN)
2010-05-09 15:28 Paul Ishenin Resolution open => fixed
2010-05-09 15:28 Paul Ishenin Assigned To => Paul Ishenin
2010-05-09 15:28 Paul Ishenin Note Added: 0037394
2011-12-01 11:23 Marc Weustink Status resolved => closed